Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.mvc.servlet
Class MvcExternalContext

    java.lang.Object
      org.springframework.webflow.context.servlet.ServletExternalContext
          org.springframework.webflow.mvc.servlet.MvcExternalContext

All Implemented Interfaces:
  ExternalContext

    public class MvcExternalContext

extends ServletExternalContext

Spring MVC external context implementation. Is a `ServletExternalContext`, but overrides operations to plug in specific functionality available in a Spring MVC Environment.

Author:
  Keith Donald

Constructor Summary
`MvcExternalContext(javax.servlet.ServletContext context, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, FlowUrlHandler flowUrlHandler)` Create a new external context wrapping given servlet HTTP request and response and given servlet context.

Method Summary
`java.util.Locale` | `getLocale()` Returns the client locale.

Methods inherited from class org.springframework.webflow.context.servlet.ServletExternalContext
`getApplicationMap, getContext, getContextPath, getCurrentUser, getExternalRedirectRequested, getExternalRedirectUrl, getFlowDefinitionRedirectRequested, getFlowExecutionRedirectRequested, getFlowExecutionUrl, getFlowRedirectFlowId, getFlowRedirectFlowInput, getFlowUrlHandler, getGlobalSessionMap, getNativeContext, getNativeRequest, getNativeResponse, getRedirectInPopup, getRequest, getRequestMap, getRequestParameterMap, getResponse, getResponseWriter, getSessionMap, isAjaxRequest, isResponseAllowed, isResponseComplete, isResponseCompleteFlowExecutionRedirect, recordResponseComplete, requestExternalRedirect, requestFlowDefinitionRedirect, requestFlowExecutionRedirect, requestRedirectInPopup, setAjaxRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MvcExternalContext

    public MvcExternalContext(javax.servlet.ServletContext context,
                              javax.servlet.http.HttpServletRequest request,
                              javax.servlet.http.HttpServletResponse response,
                              FlowUrlHandler flowUrlHandler)

  Create a new external context wrapping given servlet HTTP request and response and given servlet context.

  Parameters:
    `context` - the servlet context
    `request` - the http servlet request
    `response` - the http servlet response
    `flowUrlHandler` - the flow url handler

Method Detail

### getLocale

    public java.util.Locale getLocale()

  Description copied from interface: `ExternalContext`
  Returns the client locale.

  Specified by:
    `getLocale` in interface `ExternalContext`
  Overrides:
    `getLocale` in class `ServletExternalContext`
  Returns:
    the locale

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD